Name: xfce4-cpugraph-plugin
Version: 1.0.1
Release: alt1

Summary: CPU monitor for the Xfce panel
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/panel-plugins/%name
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-devel libxfcegui4-devel
BuildRequires: intltool libxml2-devel

Requires: xfce4-panel >= 4.8

%description
A CPU monitor plugin for the Xfce panel. It offers multiple display
modes (LED, gradient, fire, etc...) to show the current CPU load of
the system. The colors and the size of the plugin are customizable.

%prep
%setup

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|^desktopdir = \$(datadir)/xfce4/panel-plugins|desktopdir = \$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
    --enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_datadir/icons/hicolor/*/*/*

%changelog
* Sat Feb 05 2011 Mikhail Efremov <sem@altlinux.org> 1.0.1-alt1
- Fix desktop file path for xfce4-panel >= 4.8.
- Spec updated, tar.gz -> tar.
- Drop watch file.
- Updated to 1.0.1.

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- return from orphaned
- new version 0.4.0
- add watch file

* Mon Dec 18 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.0-alt1
- new version

* Sat Jan 01 2005 Andrey Astafiev <andrei@altlinux.ru> 0.2.2-alt2
- Rebuilt with new xfce4-panel.

* Sat Aug 14 2004 Andrey Astafiev <andrei@altlinux.ru> 0.2.2-alt1
- First version of RPM package for Sisyphus.
